<?php
return [
    'paymentName' => [
        'title' => '支付方式名称',
        'content' => 'stripe',
        'nameId' => 'paymentName',
        'inputType' => 'text',
        'class' => 'form-control',
        'width' => 'col-sm-6',
    ],
    'paymentLogo' => [
        'title' => '支付方式Logo',
        'content' => 'upload/payment/stripe.png',
        'nameId' => 'paymentLogo',
        'inputType' => 'image',
    ],
    'publicApiKey' => [
        'title' => 'Public KEY',
        'content' => '',
        'nameId' => 'publicApiKey',
        'inputType' => 'text',
        'class' => 'form-control',
        'width' => 'col-sm-6',
    ],
    'privateApiKey' => [
        'title' => 'Private KEY',
        'content' => '',
        'nameId' => 'privateApiKey',
        'inputType' => 'text',
        'class' => 'form-control',
        'width' => 'col-sm-6',
    ],
    /*'endpointSecret' => [
        'title' => 'Endpoint Secret',
        'content' => '',
        'nameId' => 'endpointSecret',
        'inputType' => 'text',
        'class' => 'form-control',
        'width' => 'col-sm-6',
    ],*/
    'paymentShow' => [
        'title' => '显示设置',
        'content' => [
            'content1' => [
                'name' => '电脑端显示',
                'value' => 'pc',
            ],
            'content2' => [
                'name' => '手机端显示',
                'value' => 'phone',
            ],
        ],
        'nameId' => 'paymentShow',
        'inputType' => 'checkbox',
        'checked' => [],
    ],
    /*'paymentMethodTypes' => [
        'title' => '支付类型',
        'content' => [
            'content1' => [
                'name' => 'Cards(银行卡/信用卡)',
                'value' => 'card',
            ],
            'content2' => [
                'name' => 'Alipay',
                'value' => 'alipay',
            ],
            'content3' => [
                'name' => 'WeChat Pay',
                'value' => 'wechat',
            ],
            'content4' => [
                'name' => 'FPX',
                'value' => 'fpx',
            ],
            'content5' => [
                'name' => 'Bancontact',
                'value' => 'bancontact',
            ],
            'content6' => [
                'name' => 'iDEAL',
                'value' => 'ideal',
            ],
            'content7' => [
                'name' => 'giropay',
                'value' => 'giropay',
            ],
            'content8' => [
                'name' => 'Przelewy24',
                'value' => 'p24',
            ],
            'content9' => [
                'name' => 'EPS',
                'value' => 'eps',
            ],
            'content10' => [
                'name' => 'GrabPay',
                'value' => 'grabpay',
            ],
            'content11' => [
                'name' => 'Afterpay/Clearpay',
                'value' => 'afterpay_clearpay',
            ],
            'content12' => [
                'name' => 'Multibanco',
                'value' => 'multibanco',
            ]
        ],
        'nameId' => 'paymentMethodTypes',
        'inputType' => 'checkbox',
        'class' => 'form-control',
        'width' => 'col-sm-10',
        'checked' => ['card'],
    ],*/
    'paymentCurrency' => [
        'title' => '可用货币',
        'content' => [
            'content1' => [
                'name' => '美元',
                'value' => 'USD',
            ],
            'content2' => [
                'name' => '加拿大元',
                'value' => 'CAD',
            ],
            'content3' => [
                'name' => '欧元',
                'value' => 'EUR',
            ],
            'content4' => [
                'name' => '英镑',
                'value' => 'GBP',
            ],
            'content5' => [
                'name' => '日元',
                'value' => 'JPY',
            ],
            'content6' => [
                'name' => '澳元',
                'value' => 'AUD',
            ],
            'content7' => [
                'name' => '新西兰元',
                'value' => 'NZD',
            ],
            'content8' => [
                'name' => '瑞士法郎',
                'value' => 'CHF',
            ],
            'content9' => [
                'name' => '港币',
                'value' => 'HKD',
            ],
            'content10' => [
                'name' => '新加坡元',
                'value' => 'SGD',
            ]
        ],
        'nameId' => 'paymentCurrency',
        'inputType' => 'checkbox',
        'class' => 'form-control',
        'width' => 'col-sm-10',
        'checked' => [],
    ],
    'paymentState' => [
        'title' => '支付状态',
        'content' => [
            'radio1' => [
                'name' => '启用',
                'value' => '1',
            ],
            'radio2' => [
                'name' => '禁用',
                'value' => '0',
            ],
        ],
        'nameId' => 'paymentState',
        'inputType' => 'radio',
        'checked' => '0',
    ],
    'paymentSort' => [
        'title' => '支付排序',
        'content' => '255',
        'nameId' => 'paymentSort',
        'inputType' => 'number',
        'class' => 'form-control',
        'width' => 'col-sm-2',
    ],
    'onlinePayment' => [
        'nameId' => 'onlinePayment',
        'inputType' => 'hidden',
        'content' => 'true',
    ],
    'noticeMode' => 'returnNotice',
    'editAction' => 'Stripe',
];
