<?php
/**
 * DBShop 多语言商城系统
 *
 * ==========================================================================
 * @link      https://www.dbshop.net/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbshop.net/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */
return [
    'language' => [
        'zh_CN',
        'zh_HK',
        'en',
        'ja',
        'ko',
        //'es'
    ],

    'aLanguage' => [//后台可设置语言
        'zh_CN' => '简体中文',
        'zh_HK' => '繁體中文'
    ],
    'fLanguage' => [//前台可设置语言
        'zh_CN' => '简体中文',
        'zh_HK' => '繁體中文',
        'en'    => 'English',
        'ja'    => '日本語',
        'ko'    => '한국어',
        //'es'    => 'Español',
    ],
    'languageTile' => [//语言说明，只后台使用
        'zh_CN' => [
            'zh_CN' => '简体中文',
            'zh_HK' => '繁体中文',
            'en'    => '英文',
            'ja'    => '日文',
            'ko'    => '韩文',
            //'es'    => '西班牙文',
        ],
        'zh_HK' => [
            'zh_CN' => '簡體中文',
            'zh_HK' => '繁體中文',
            'en'    => '英文',
            'ja'    => '日文',
            'ko'    => '韓文',
            //'es'    => '西班牙文',
        ]
    ],

    'phoneAreaLanguage' => [//对应地区区号语言
        'zh_CN' => 'zh',
        'zh_HK' => 'zh-hant-hk',
        'en'    => 'en',
        'ja'    => 'ja',
        'ko'    => 'ko',
        //'es'    => 'es'
    ]
];